
from odoo.addons.saas_trial.tests.common import TestTrialCommon, tagged

try:
    from odoo.addons.website.tests.test_configurator import TestConfiguratorCommon
except ImportError:  # < 15.0
    class TestConfiguratorCommon():
        @classmethod
        def setUpClass(cls):
            cls.skipTest(cls, "skip test, website configurator is not available")


@tagged('post_install', '-at_install', 'post_saas_trial_creation')
class TestSaasWebsiteConfigurator(TestConfiguratorCommon, TestTrialCommon):

    def test_website_configurator(self):
        user_admin = self.env.ref('base.user_admin')
        new_website = self.env['website'].create({'name': "New website"})
        self.start_tour(
            '/website/force/%s?path=%%2Fwebsite%%2Fconfigurator' % new_website.id,
            'trial_website_configurator',
            login=user_admin.login,
        )
